- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BcpsConstraintPool Class Reference

`#include <BcpsObjectPool.h>`

Inheritance diagram for BcpsConstraintPool:

[legend]
Collaboration diagram for BcpsConstraintPool:

[legend]
List of all members.

## Public Member Functions
| BcpsConstraintPool ()
virtual | ~BcpsConstraintPool ()
void | addConstraint (BcpsConstraint *con)
| Add a constraint to pool.
void | deleteConstraint (int k)
| Delete constraint k from pool.
int | getNumConstraints () const
| Query how many constraints are in the pool.
const std::vector< AlpsKnowledge * > & | getConstraints () const
| Get the vector of constraints.
AlpsKnowledge * | getConstraint (int k) const
| Get a constraints.

## Detailed Description

Definition at line 104 of file BcpsObjectPool.h.

## Constructor & Destructor Documentation

BcpsConstraintPool::BcpsConstraintPool | ( |  | ) | `[inline]`

Definition at line 106 of file BcpsObjectPool.h.

virtual BcpsConstraintPool::~BcpsConstraintPool | ( |  | ) | `[inline, virtual]`

Definition at line 107 of file BcpsObjectPool.h.

## Member Function Documentation

void BcpsConstraintPool::addConstraint | ( | BcpsConstraint * | con | ) | `[inline]`

Add a constraint to pool.

Definition at line 110 of file BcpsObjectPool.h.

References BcpsObjectPool::objects_.

void BcpsConstraintPool::deleteConstraint | ( | int | k | ) | `[inline]`

Delete constraint k from pool.

Definition at line 113 of file BcpsObjectPool.h.

References BcpsObjectPool::deleteObject().

int BcpsConstraintPool::getNumConstraints | ( |  | ) | const`[inline]`

Query how many constraints are in the pool.

Definition at line 116 of file BcpsObjectPool.h.

References BcpsObjectPool::getNumKnowledges().

const std::vector<AlpsKnowledge *>& BcpsConstraintPool::getConstraints | ( |  | ) | const`[inline]`

Get the vector of constraints.

Definition at line 119 of file BcpsObjectPool.h.

References BcpsObjectPool::objects_.

AlpsKnowledge* BcpsConstraintPool::getConstraint | ( | int | k | ) | const`[inline]`

Get a constraints.

Definition at line 122 of file BcpsObjectPool.h.

References BcpsObjectPool::getObject().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.2/Bcps/src/BcpsObjectPool.h